I=(S=Uno.Rect = function(){
    this.Left = 0.0;
    this.Top = 0.0;
    this.Right = 0.0;
    this.Bottom = 0.0;
}).prototype;

I.ToString = function()
{
    return "Uno.Rect";
};

I.GetHashCode = function()
{
    return 0;
};

S.$0 = function(left, top, right, bottom) {
    var $this = new Uno.Rect;
    $this.Left = left;
    $this.Top = top;
    $this.Right = right;
    $this.Bottom = bottom;
    return $this;
};

S.$1 = function(pos, size) {
    var $this = new Uno.Rect;
    $this.Left = pos.X;
    $this.Top = pos.Y;
    $this.Right = $this.Left + size.X;
    $this.Bottom = $this.Top + size.Y;
    return $this;
};
